//
// Load core variables and mixins
// --------------------------------------------------

@import "../../base/less/base";
@import "variables";

// Darkly 3.3.2
// Bootswatch
// -----------------------------------------------------

//import via CDN
//@import url("//fonts.googleapis.com/css?family=Lato:400,700,400italic");
//import local files
@font-face {
  font-family: 'Lato';
  font-style: normal;
  font-weight: 400;
  src: local('Lato Regular'), local('Lato-Regular'), url('@{icon-font-path}lato/Lato-Regular.ttf') format('truetype');
}
@font-face {
  font-family: 'Lato';
  font-style: normal;
  font-weight: 700;
  src: local('Lato Bold'), local('Lato-Bold'), url('@{icon-font-path}lato/Lato-Bold.ttf') format('truetype');
}
@font-face {
  font-family: 'Lato';
  font-style: italic;
  font-weight: 400;
  src: local('Lato Italic'), local('Lato-Italic'), url('@{icon-font-path}lato/Lato-Italic.ttf') format('truetype');
}

// Navbar =====================================================================

.navbar {
  border-width: 0;

  &-default {

    .badge {
      background-color: #fff;
      color: @navbar-default-bg;
    }
  }

  &-inverse {

    .badge {
      background-color: #fff;
      color: @navbar-inverse-bg;
    }
  }

  &-brand {
    line-height: 1;
  }

  &-form {
    .form-control {
      background-color: white;

      &:focus {
        border-color: white;
      }
    }
  }
}

// Buttons ====================================================================

.btn:active {
  .box-shadow(none);
}

.btn-group.open .dropdown-toggle {
  .box-shadow(none);
}

// Typography =================================================================

.text-primary,
.text-primary:hover {
  color: lighten(@brand-primary, 10%);
}

.text-success,
.text-success:hover {
  color: @brand-success;
}

.text-danger,
.text-danger:hover {
  color: @brand-danger;
}

.text-warning,
.text-warning:hover {
  color: @brand-warning;
}

.text-info,
.text-info:hover {
  color: @brand-info;
}

// Tables =====================================================================

table,
.table {

  a:not(.btn) {
    text-decoration: underline;
  }

  .dropdown-menu a {
    text-decoration: none;
  }

  .success,
  .warning,
  .danger,
  .info {
    color: #fff;

    > th > a,
    > td > a,
    > a {
      color: #fff;
    }
  }

  > thead > tr > th,
  > tbody > tr > th,
  > tfoot > tr > th,
  > thead > tr > td,
  > tbody > tr > td,
  > tfoot > tr > td {
    border: none;
  }

  &-bordered > thead > tr > th,
  &-bordered > tbody > tr > th,
  &-bordered > tfoot > tr > th,
  &-bordered > thead > tr > td,
  &-bordered > tbody > tr > td,
  &-bordered > tfoot > tr > td {
    border: 1px solid @table-border-color;
  }
}

// Forms ======================================================================

input,
textarea {
  color: @input-color;
}

.form-control,
input,
textarea {
  border: none;
  .box-shadow(none);

  &:focus {
    .box-shadow(none);
  }
}

.has-warning {
  .help-block,
  .control-label,
  .radio,
  .checkbox,
  .radio-inline,
  .checkbox-inline,
  .form-control-feedback {
    color: @brand-warning;
  }

  .form-control,
  .form-control:focus {
    .box-shadow(none);
  }

  .input-group-addon {
    border-color: @brand-warning;
  }
}

.has-error {
  .help-block,
  .control-label,
  .radio,
  .checkbox,
  .radio-inline,
  .checkbox-inline,
  .form-control-feedback {
    color: @brand-danger;
  }

  .form-control,
  .form-control:focus {
    .box-shadow(none);
  }

  .input-group-addon {
    border-color: @brand-danger;
  }
}

.has-success {
  .help-block,
  .control-label,
  .radio,
  .checkbox,
  .radio-inline,
  .checkbox-inline,
  .form-control-feedback {
    color: @brand-success;
  }

  .form-control,
  .form-control:focus {
    .box-shadow(none);
  }

  .input-group-addon {
    border-color: @brand-success;
  }
}

.input-group-addon {
  color: @text-color;
}

.twitter-typeahead .tt-hint {
  background-color: #fff !important;
}
// Navs =======================================================================

.nav {
  .open > a,
  .open > a:hover,
  .open > a:focus {
    border-color: @nav-tabs-border-color;
  }
}

.nav-tabs > li > a,
.nav-pills > li > a {
  color: #fff;
}

.pager {
  a,
  a:hover {
    color: #fff;
  }

  .disabled {
    &>a,
    &>a:hover,
    &>a:focus,
    &>span {
      background-color: @pagination-disabled-bg;
    }
  }
}

.breadcrumb a {
  color: #fff;
}

// Indicators =================================================================

.close {
  text-decoration: none;
  text-shadow: none;
  opacity: 0.4;

  &:hover,
  &:focus {
    opacity: 1;
  }
}

.alert {
  .alert-link {
    color: #fff;
    text-decoration: underline;
  }
}

// Progress bars ==============================================================

.progress {
  height: 10px;
  .box-shadow(none);
  .progress-bar {
    font-size: 10px;
    line-height: 10px;
  }
}

// Containers =================================================================

.well {
  .box-shadow(none);
}

a.list-group-item {

  &.active,
  &.active:hover,
  &.active:focus {
    border-color: @list-group-border;
  }

  &-success {
    &.active {
      background-color: @state-success-bg;
    }

    &.active:hover,
    &.active:focus {
      background-color: darken(@state-success-bg, 5%);
    }
  }

  &-warning {
    &.active {
      background-color: @state-warning-bg;
    }
    
    &.active:hover,
    &.active:focus {
      background-color: darken(@state-warning-bg, 5%);
    }
  }

  &-danger {
    &.active {
      background-color: @state-danger-bg;
    }
    
    &.active:hover,
    &.active:focus {
      background-color: darken(@state-danger-bg, 5%);
    }
  }
}

.popover {
  color: @text-color;
}

.panel-default > .panel-heading {
  background-color: @panel-footer-bg;
}


//
// Footer
// --------------------------------------------------

// Padding fix
.navbar-default .nav > li > a,
.navbar-inverse .nav > li > a {
  padding: 22px 15px;
  .navbar-vertical-align(60px);
}


#footer {
    > .container-block, &.container-block {
        background-color: @gray-dark;
        h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
            color: #fff;
        }
    }   
    h5 {
        font-size: 14px;
    }
}

#footer .panel > div > h5 {
        border-bottom: 1px dotted @gray;
    }